#!/usr/bin/env bash

# Copyright (c) 2023 · Bryan Joshua Pedini
# LICENSE = gpl3
# see the LICENSE file for more details

while read -r LINE; do
  VERSION=$(echo "${LINE}" | sed 's/-.*//')
  DISTRO=$(echo "${LINE}" | sed 's/.*-//')
  docker build \
   --build-arg DISTRO="${DISTRO}" \
   --build-arg VERSION="${VERSION}" \
   -t bryanpedini/cron:"${VERSION}"-alpine"${DISTRO}" .
done < versions
